@import './utilities/colors.sass'
@import './utilities/initial-variables.sass'
@import './utilities/derived-variables.sass'
@import './utilities/mixins.sass'
$namespace: 'nab'

@font-face
  font-family: 'NabImpact'
  src: url('/fonts/NabImpact.woff2') format('woff2'), url('/fonts/NabImpact.woff') format('woff')

@font-face
  font-family: 'NabScript'
  // src: url('./fonts/NabScript.woff2') format('woff2'), url('./fonts/NabScript.woff') format('woff')
  src: url('/fonts/NabScript.woff2') format('woff2'), url('/fonts/NabScript.woff') format('woff')

.docs
  color: $blue-grey
  
  h1, h2, h3, h4, h5, h6, p
    a
      color: $blue-grey 
      font-weight: 600
      transition: .3s
      text-decoration: underline
      &:hover
        opacity: .5
        text-decoration: none

  #start
    > .#{$namespace}-hero
      &:before 
        content: ""
        position: absolute
        top: 0
        left: 0
        right: 0
        bottom: 0
        opacity: .8
        background-image: url(/images/triangles.png)
        background-position: 50% 50%
        background-blend-mode: multiply
        background-size: 15%
      .#{$namespace}-title
        font-size: 3rem
  
  .#{$namespace}-title,
  .#{$namespace}-subtitle
    color: $blue-grey

  .nab-menu
    &-list
      &-tile, a:not(.is-active)
        color: $blue-grey
        font-weight: normal
        text-decoration: none
  
  .nab-toolbar
    .nab-title
      display: flex
      .prepend-icon
        display: inline-flex
        min-width: 3rem
        
        #shaper-logo
          #S
            fill: #3e525b
          #Oval
            stroke: #3e525b
          &[dark]
            #S
              fill: #fff
            #Oval
              stroke: #fff
  
  .menu-open
    .nab-burger
      &:not(.is-absolute)
        transform: translateX(16rem)

    .nab-container
      +desktop
        width: $desktop - (2 * $gap) - 128
      +widescreen
        width: $widescreen - (2 * $gap) - 128
      +fullhd
        width: $fullhd - (2 * $gap) - 128

  // .nab-burger 
  //   &.is-absolute
  //     position: absolute
  //     left: auto
  //     right: 0
  //   +hamburger(4.5rem)
  //   position: fixed
  //   top: 0
  //   left: 0
  //   right: auto
  //   color: $blue-grey
  //   z-index: 999
  //   transition: .3s

.page-enter-active, .page-leave-active
  transition: .3s
  transform: translateY(0)
.page-enter, .page-leave-to
  opacity: 0
  transform: translateY(-.5%)

.fade-enter-active, .fade-leave-active
  transition: opacity .3s
.fade-enter, .fade-leave-to
  opacity: 0